#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../backend
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    bugzilla.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kresources/kcal )


##### kcal_bugzilla (module) ####################

tde_add_kpart( kcal_bugzilla AUTOMOC
  SOURCES
    kcalresource.cpp kcalresourceconfig.cpp
    kcalresource_plugin.cpp resourceprefs.kcfgc
  LINK kbbbackend_pic-static kcal-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
